Version (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson

## Class Version

- java.lang.Object
- - org.codehaus.jackson.Version

- All Implemented Interfaces:
    Comparable<Version>

      public class Version
      extends Object
      implements Comparable<Version>

  Object that encapsulates version information of a component, and is return by `Versioned.version()`.
  Since:
    1.6

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_majorVersion`
    `protected int` | `_minorVersion`
    `protected int` | `_patchLevel`
    `protected String` | `_snapshotInfo` Additional information for snapshot versions; null for non-snapshot (release) versions.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version(int major, int minor, int patchLevel, String snapshotInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Version other)`
    `boolean` | `equals(Object o)`
    `int` | `getMajorVersion()`
    `int` | `getMinorVersion()`
    `int` | `getPatchLevel()`
    `int` | `hashCode()`
    `boolean` | `isSnapshot()`
    `boolean` | `isUknownVersion()`
    `String` | `toString()`
    `static Version` | `unknownVersion()` Method returns canonical "not known" version, which is used as version in cases where actual version information is not known (instead of null).

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _majorVersion

          protected final int _majorVersion

    - #### _minorVersion

          protected final int _minorVersion

    - #### _patchLevel

          protected final int _patchLevel

    - #### _snapshotInfo

          protected final String _snapshotInfo

      Additional information for snapshot versions; null for non-snapshot (release) versions.

  - ### Constructor Detail

    - #### Version

          public Version(int major,
                 int minor,
                 int patchLevel,
                 String snapshotInfo)

  - ### Method Detail

    - #### unknownVersion

          public static Version unknownVersion()

      Method returns canonical "not known" version, which is used as version in cases where actual version information is not known (instead of null).

    - #### isUknownVersion

          public boolean isUknownVersion()

    - #### isSnapshot

          public boolean isSnapshot()

    - #### getMajorVersion

          public int getMajorVersion()

    - #### getMinorVersion

          public int getMinorVersion()

    - #### getPatchLevel

          public int getPatchLevel()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(Version other)

      Specified by:
        `compareTo` in interface `Comparable<Version>`